diff --git a/changelog b/changelog
index 40947e4..74a0194 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20140729 tpd src/axiom-website/patches.html 20140729.03.tpd.patch
+20140729 tpd src/lib/pixmap.c 'status' is set but never used, removed
 20140729 tpd src/axiom-website/patches.html 20140729.02.tpd.patch
 20140729 tpd src/lib/fnct-key.c 'length' is set but never used, removed
 20140729 tpd src/axiom-website/patches.html 20140729.01.tpd.patch
diff --git a/patch b/patch
index ef5a032..cefae36 100644
--- a/patch
+++ b/patch
@@ -1 +1 @@
-src/lib/fnct-key.c 'length' is set but never used, removed
+src/lib/pixmap.c 'status' is set but never used, removed
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 9781067..fe77800 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4580,6 +4580,8 @@ In process, not yet released<br/><br/>
 books/axiom.sty don't use mathbb because texlive has changed<br/>
 <a href="patches/20140729.02.tpd.patch">20140729.02.tpd.patch</a>
 src/lib/fnct-key.c 'length' is set but never used, removed<br/>
+<a href="patches/20140729.03.tpd.patch">20140729.03.tpd.patch</a>
+src/lib/pixmap.c 'status' is set but never used, removed<br/>
  </body>
 </html>
 
diff --git a/src/lib/pixmap.c.pamphlet b/src/lib/pixmap.c.pamphlet
index 3000d95..1e25071 100644
--- a/src/lib/pixmap.c.pamphlet
+++ b/src/lib/pixmap.c.pamphlet
@@ -292,7 +292,6 @@ read_pixmap_file(Display *display, int screen, char *filename,
 {
   XpmAttributes attr;
   XImage *xireturn;
-  int status;
 
   attr.valuemask = 0;
 
@@ -310,7 +309,7 @@ read_pixmap_file(Display *display, int screen, char *filename,
   attr.valuemask |= XpmAllocCloseColors;  /* we don't allocate close colors*/
 
   
-  status=XpmReadFileToImage(display,filename,xi,&xireturn, &attr );
+  XpmReadFileToImage(display,filename,xi,&xireturn, &attr );
   *width= (*xi)->width;
   *height=(*xi)->height;
 #ifdef DEBUG
@@ -327,12 +326,11 @@ write_pixmap_file(Display *dsp, int scr, char  *fn,
                   Window wid, int x, int y, int width,int height)
 {
   XImage *xi;
-  int status;
   
   /* reads image structure in ZPixmap format */
   xi = XGetImage(dsp, wid, x, y, width, height, AllPlanes, ZPixmap);
   if (xi==0) return ;
-  status=XpmWriteFileFromImage(dsp,fn,xi,0,0);
+  XpmWriteFileFromImage(dsp,fn,xi,0,0);
   
 }
 
